Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25857 - [mcabber] broken by gnutls and glib-networking

Attached to Project: Community Packages
Opened by Josh Klar (iv597) - Friday, 02 September 2011, 03:48 GMT
Last edited by Thorsten Töpper (Atsutane) - Saturday, 16 June 2012, 14:49 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Thorsten Töpper (Atsutane)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

After the updates in the recent past to gnutls and glib-networking, Mcabber (0.10.1-1) is broken. Upon trying to connect to a server, a "3->'LM_DISCONNECT_REASON'" is thrown. Downgrading gnutls (3.0.2-1 to 2.12.7-2) and glib-networking (2.28.7-4 to -1) fixes the issue. I'm not entirely sure the glib-networking downgrade was needed but I tried it anyway. I may try updating that and see if it affects Mcabber any.

Steps to reproduce:
Install mcabber and the latest gnutls (and perhaps glib-networking, again I'm not sure it's part of the problem)
Try to connect to an XMPP server.
Watch it fail :\

Steps to fix appear to be:
Downgrade gnutls from the ARM, and watch Mcabber work.
This task depends upon

Closed by  Thorsten Töpper (Atsutane)
Saturday, 16 June 2012, 14:49 GMT
Reason for closing:  Works for me
Comment by Josh Klar (iv597) - Friday, 02 September 2011, 03:50 GMT
OK, as I should have guessed by it being a PKGREL rollback anyway, glib-networking has nothing to do with this, and seems to purely be GNUtls.
Comment by Jakob Matthes (jakobm) - Friday, 02 September 2011, 05:37 GMT
Does it fail for all servers with tls you are trying to connect to? Is it related to  FS#23678 ?
Comment by Thorsten Töpper (Atsutane) - Friday, 02 September 2011, 07:58 GMT
Also, does it work with gnutls built against this patch? https://bugs.archlinux.org/task/25733#comment82533
Comment by Jakob Matthes (jakobm) - Friday, 02 September 2011, 09:24 GMT
I applied the patch to gnutls 3.0.2, the error still persists.
Note that I tried connecting to jabber.ccc.de. Connecting to talk.google.com with tls is successful.
Comment by Thorsten Töpper (Atsutane) - Thursday, 15 September 2011, 12:53 GMT Comment by Dmitry Kremer (DJester) - Monday, 31 October 2011, 14:47 GMT
May be, mantainers could make package mcabber with --with-ssl="openssl" while problem with gnutls not solved. There is PKGBUILD in AUR with openssl for mcabber?

Loading...